from bs4 import BeautifulSoup
from .base_parser import BaseParser

class HTMLParser(BaseParser):

    def parser(self, file_path) -> list:
        """
        :param file_path: 文件路径
        :return: 按行保存的文本内容列表
        """
        with open(file_path, 'r', encoding='utf-8') as file:
            html_content = file.read()

        soup = BeautifulSoup(html_content, 'html.parser')
        text_content = soup.get_text()
        lines = text_content.splitlines()
        return lines
    def parser_tag(self, file_path, tag_name, attrs=None):
        with open(file_path, 'r', encoding='utf-8') as file:
            html_content = file.read()
        soup = BeautifulSoup(html_content, 'html.parser')
        tags = soup.find_all(tag_name, attrs=attrs)
        return [tag.get_text(strip=True) for tag in tags]

if __name__ == '__main__':
    file_path = '/home/kylin/wangyan/test-search/touchgesture.xml'
    html_parser = HTMLParser()
    html_content = html_parser.parser(file_path)
    # print(html_parser.parser_tag(file_path, 'keys'))
    print(html_content)